"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = require("react");
var useInfoList = function () {
    var fontList = (0, react_1.useMemo)(function () { return [
        "바탕",
        "굴림",
        "돋움",
        "궁서",
        "serif",
        "Sans-serif",
        "Fantasy",
        "제주명조",
        "제주고딕",
        "리디바탕",
        // "Microsoft Yahei",
        // "微软雅黑",
        // "STXihei",
        // "华文细黑",
    ]; }, []);
    var languageList = (0, react_1.useMemo)(function () { return ["한국어", "영어"]; }, []);
    var textTypeList = (0, react_1.useMemo)(function () { return ["문학", "인문사회", "과학기술", "기타"]; }, []);
    var textLevelList = (0, react_1.useMemo)(function () { return Array.from({ length: 16 }, function (_, i) { return "".concat(i + 5); }); }, []);
    var textLevelActiveList = (0, react_1.useMemo)(function () { return ["설정레벨", "변경레벨"]; }, []);
    var textActiveList = (0, react_1.useMemo)(function () { return ["조직 공개", "비공개"]; }, []);
    var textContentLevelList = (0, react_1.useMemo)(function () { return ["자동", "초심자", "초등 저학년", "초등 고학년", "중학생", "고등학생"]; }, []);
    return {
        fontList: fontList,
        languageList: languageList,
        textTypeList: textTypeList,
        textLevelList: textLevelList,
        textActiveList: textActiveList,
        textContentLevelList: textContentLevelList,
        textLevelActiveList: textLevelActiveList,
    };
};
exports.default = useInfoList;
