"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var jsx_runtime_1 = require("react/jsx-runtime");
var react_1 = __importDefault(require("react"));
var react_dom_1 = __importDefault(require("react-dom"));
require("./index.css");
var App_1 = __importDefault(require("./App"));
var reportWebVitals_1 = __importDefault(require("./reportWebVitals"));
var AlertTemplate_1 = __importDefault(require("./util/alert/AlertTemplate"));
// @ts-ignore
var react_alert_1 = require("react-alert");
var sweetalert2_1 = __importDefault(require("sweetalert2"));
var sweetalert2_react_content_1 = __importDefault(require("sweetalert2-react-content"));
var MySwal = (0, sweetalert2_react_content_1.default)(sweetalert2_1.default);
var alertOptions = {
    timeout: 2000,
    //  position:positions.BOTTOM_CENTER
    position: react_alert_1.positions.TOP_CENTER,
    containerStyle: {
        zIndex: 2000,
    },
};
react_dom_1.default.render((0, jsx_runtime_1.jsx)(react_1.default.StrictMode, { children: (0, jsx_runtime_1.jsx)(react_alert_1.Provider, __assign({ template: AlertTemplate_1.default }, alertOptions, { children: (0, jsx_runtime_1.jsx)(App_1.default, { Swal: MySwal }) })) }), document.getElementById("root"));
// If you want to start measuring performance in your app, pass a function
// to log results (for example: reportWebVitals(console.log))
// or send to an analytics endpoint. Learn more: https://bit.ly/CRA-vitals
(0, reportWebVitals_1.default)();
