"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.StyledBtnRed = exports.StyledBtnGreen = exports.StyledBtnOrange = exports.StyledBtnSelected = exports.StyledBtn = void 0;
var styled_components_1 = __importDefault(require("styled-components"));
exports.StyledBtn = styled_components_1.default.button(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  width: 100px;\n  height: 35px;\n  margin-top: 5px;\n  margin-left: 10px;\n  margin-bottom: 5px;\n  outline: none;\n  border: none;\n  border-radius: 4px;\n  background-color: #7367f0;\n  color: white;\n  font-size: 12px;\n  display: flex;\n  justify-content: center;\n  align-items: center;\n  box-sizing: border-box;\n  &:disabled {\n    opacity: 0.7;\n    cursor: not-allowed;\n  }\n  &:hover:not([disabled]) {\n    background-color: #5e50ee;\n    cursor: pointer;\n  }\n"], ["\n  width: 100px;\n  height: 35px;\n  margin-top: 5px;\n  margin-left: 10px;\n  margin-bottom: 5px;\n  outline: none;\n  border: none;\n  border-radius: 4px;\n  background-color: #7367f0;\n  color: white;\n  font-size: 12px;\n  display: flex;\n  justify-content: center;\n  align-items: center;\n  box-sizing: border-box;\n  &:disabled {\n    opacity: 0.7;\n    cursor: not-allowed;\n  }\n  &:hover:not([disabled]) {\n    background-color: #5e50ee;\n    cursor: pointer;\n  }\n"])));
exports.StyledBtnSelected = (0, styled_components_1.default)(exports.StyledBtn)(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n  background-color: white;\n  color: #7367f0;\n  border: 1px solid #7367f0;\n  transition: 0.2s;\n  &:hover:not([disabled]) {\n    background-color: rgb(240, 240, 240);\n    color: #7367f0;\n    border: 1px solid #7367f0;\n    cursor: pointer;\n  }\n"], ["\n  background-color: white;\n  color: #7367f0;\n  border: 1px solid #7367f0;\n  transition: 0.2s;\n  &:hover:not([disabled]) {\n    background-color: rgb(240, 240, 240);\n    color: #7367f0;\n    border: 1px solid #7367f0;\n    cursor: pointer;\n  }\n"])));
exports.StyledBtnOrange = (0, styled_components_1.default)(exports.StyledBtn)(templateObject_3 || (templateObject_3 = __makeTemplateObject(["\n  background-color: #fa8128;\n  &:disabled {\n    opacity: 0.7;\n  }\n  &:hover:not([disabled]) {\n    background-color: #ed7014;\n    cursor: pointer;\n  }\n"], ["\n  background-color: #fa8128;\n  &:disabled {\n    opacity: 0.7;\n  }\n  &:hover:not([disabled]) {\n    background-color: #ed7014;\n    cursor: pointer;\n  }\n"])));
exports.StyledBtnGreen = (0, styled_components_1.default)(exports.StyledBtn)(templateObject_4 || (templateObject_4 = __makeTemplateObject(["\n  background-color: #28a745;\n  &:disabled {\n    opacity: 0.7;\n  }\n  &:hover:not([disabled]) {\n    background-color: #218838;\n    cursor: pointer;\n  }\n"], ["\n  background-color: #28a745;\n  &:disabled {\n    opacity: 0.7;\n  }\n  &:hover:not([disabled]) {\n    background-color: #218838;\n    cursor: pointer;\n  }\n"])));
exports.StyledBtnRed = (0, styled_components_1.default)(exports.StyledBtn)(templateObject_5 || (templateObject_5 = __makeTemplateObject(["\n  background-color: #dc3545;\n  &:disabled {\n    opacity: 0.7;\n  }\n  &:hover:not([disabled]) {\n    background-color: #c82333;\n    cursor: pointer;\n  }\n"], ["\n  background-color: #dc3545;\n  &:disabled {\n    opacity: 0.7;\n  }\n  &:hover:not([disabled]) {\n    background-color: #c82333;\n    cursor: pointer;\n  }\n"])));
var templateObject_1, templateObject_2, templateObject_3, templateObject_4, templateObject_5;
